<p>title: Variable di PHP
description:</p>
<hr />
<p>Variabel adalah wadah untuk menyimpan suatu nilai, pada PHP syarat variabel diantaranya:</p>
<ul>
<li>Variabel diawali oleh tanda <code>$</code> diikuti oleh nama variabelnya</li>
<li>Nama variabel hanya boleh diawali oleh huruf dan underscore</li>
<li>Nama variabel hanya boleh mengandung alfanumerik (A-z, 0-9, dan _)</li>
<li>Nama variabel bersifat case sensitive (huruf kapital dan non-kapital dianggap berbeda)</li>
</ul>
<h2>Praktek</h2>
<ul>
<li>
<p>Pada editor terdapat contoh pembuatan variabel dan cara menampilkan nilainya ke layar. Jalankan kode dan lihat output apa yang tampil.</p>
</li>
<li>
<p>Coba ganti baris kedua dengan kode $1nama = &quot;Coders&quot;;  dan lihat pesan error apa yang muncul. Mengapa muncul error? </p>
<p>Muncul pesan error <code>syntax error, unexpected '1', expecting variable</code>
maksudnya angka 1 setelah karakter $ pada deklarasi variabel tidak
diperkenankan, ingat bahwa nama Variabel tidak boleh diawali oleh angka.</p>
</li>
<li>
<p>Coba ganti baris kedua dengan kode <code>$-nama = "Coders";</code> dan lihat output apa yang muncul.
Apakah menampilkan pesan error juga? Mengapa demikian?</p>
<p>Muncul pesan error <code>syntax error, unexpected '-', expecting variable</code>
maksudnya karakter '-' setelah karakter $ pada deklarasi variabel tidak
diperkenankan, ingat bahwa nama Variabel hanya boleh diawali oleh
karakter huruf dan underscrore '-'.</p>
</li>
<li>
<p>Coba ganti baris kedua dengan kode <code>$_nama = "Coders";</code> dan lihat output apa yang muncul.
Apakah menampilkan pesan error juga? Mengapa demikian?</p>
<p>Muncul pesan error <code>syntax error, unexpected '-', expecting variable</code>
maksudnya karakter '-' setelah karakter $ pada deklarasi variabel tidak
diperkenankan, ingat bahwa nama Variabel hanya boleh diawali oleh
karakter huruf dan underscrore '-'.</p>
<iframe width="100%" height="400" frameborder="0" src="https://development.codepolitan.com/coding/editor/konsepdasar-variabelphp"></iframe>
</li>
</ul>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;Next Lesson&quot; di bawah editor.</p>